version: '3.9'

services:

  nginx:
    depends_on:
      - php
    volumes:
      - ./.docker/services/nginx/conf.d/nginx-loc.conf:/etc/nginx/templates/default.conf.template:ro
      - ./.data-certbot/var/www/certbot:/var/www/certbot/:ro
      - ./.data-certbot/etc/letsencrypt/:/etc/nginx/ssl/:ro
    ports:
      - "80:80"
      - "443:443"
    restart: always

  certbot:
    image: certbot/certbot:latest
    container_name: otr_certbot
    volumes:
      - ./.data-certbot/var/www/certbot/:/var/www/certbot/:rw
      - ./.data-certbot/etc/letsencrypt/:/etc/letsencrypt/:rw

  java:
    build:
      context: ./.docker/services/java
    container_name: otr_java
    depends_on:
      - nginx
    volumes:
      - ./.env.aws.config:/root/.aws/config:rw,cached
      - ./.env.aws.credentials:/root/.aws/credentials:rw,cached
      - ./.data-java/storage/signature/:/root/storage/signature:rw,cached
      - ./.data-java/.log/:/root/.log:rw,cached
      - ./only-signature/certificates:/root/certificates:rw,cached
      - ./only-signature/.env.properties:/root/.env.properties:rw,cached
      - ./only-signature/signature.jar:/root/signature.jar:rw,cached
    networks:
      sign:
        aliases:
          - ${JAVA_SIGN_HOST}
    restart: always